"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = getHeight;

var _getWindow = _interopRequireDefault(require("./getWindow.js"));

var _getOffset = _interopRequireDefault(require("./getOffset.js"));

/**
 * Get the height of a DOM element
 * @param node The DOM element
 * @param client Whether to get the client height
 * @returns The height of the DOM element
 */
function getHeight(node, client) {
  var win = (0, _getWindow["default"])(node);

  if (win) {
    return win.innerHeight;
  }

  return client ? node.clientHeight : (0, _getOffset["default"])(node).height;
}

module.exports = exports.default;