"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

exports.__esModule = true;
exports["default"] = getWidth;

var _getWindow = _interopRequireDefault(require("./getWindow.js"));

var _getOffset = _interopRequireDefault(require("./getOffset.js"));

/**
 * Get the width of a DOM element
 * @param node The DOM element
 * @param client Whether to get the client width
 * @returns The width of the DOM element
 */
function getWidth(node, client) {
  var win = (0, _getWindow["default"])(node);

  if (win) {
    return win.innerWidth;
  }

  if (client) {
    return node.clientWidth;
  }

  var offset = (0, _getOffset["default"])(node);
  return offset ? offset.width : 0;
}

module.exports = exports.default;